Bug 1311431 - (CVE-2016-2512) CVE-2016-2512 python-django: Malicious redirect and possible XSS attack via user-supplied redirect URLs containing basic auth
CVE-2016-2512 python-django: Malicious redirect and possible XSS attack via u...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160301,repor...
: Security
Depends On: 1314341 1314342 1314343 1314344 1314345 1315207 1315208 1315209 1315211 1315213 1315217 1315218
Blocks: 1311442
  Show dependency treegraph
 
Reported: 2016-02-24 04:06 EST by Adam Mariš
Modified: 2016-04-26 19:47 EDT (History)
23 users (show)

See Also:
Fixed In Version: python-django 1.8.10, python-django 1.9.3
Doc Type: Bug Fix
Doc Text:
An open-redirect flaw was found in the way Django's django.utils.http.is_safe_url() function filtered authentication URLs. An attacker able to trick a victim into visiting a crafted URL could use this flaw to redirect that victim to a malicious site.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-07 20:56:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch 1.8.x (4.00 KB, patch)
2016-02-24 04:29 EST, Adam Mariš
no flags Details | Diff
Upstream patch 1.9.x (5.21 KB, patch)
2016-02-24 04:30 EST, Adam Mariš
no flags Details | Diff
Upstream patch master (5.20 KB, patch)
2016-02-24 04:31 EST, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2016-02-24 04:06:49 EST
It was found that django.utils.http.is_safe_url() used as security check for redirecting URLs considered some malicious URLs with basic authentication credentials "safe", e.g. http://mysite.example.com\@attacker.com would be considered safe. Relying on is_safe_url() to provide safe redirect targets and putting such URLs into link can lead also to XSS attack.
Comment 1 Adam Mariš 2016-02-24 04:29 EST
Created attachment 1130108 [details]
Upstream patch 1.8.x
Comment 2 Adam Mariš 2016-02-24 04:30 EST
Created attachment 1130110 [details]
Upstream patch 1.9.x
Comment 3 Adam Mariš 2016-02-24 04:31 EST
Created attachment 1130112 [details]
Upstream patch master
Comment 4 Adam Mariš 2016-02-26 09:10:36 EST
Commit message contains wrong CVE number, CVE-2016-2512 is correct.
Comment 6 Adam Mariš 2016-03-03 07:33:58 EST
External Reference:

https://www.djangoproject.com/weblog/2016/mar/01/security-releases/
Comment 8 Adam Mariš 2016-03-03 07:37:05 EST
Created Django14 tracking bugs for this issue:

Affects: epel-6 [bug 1314343]
Comment 9 Adam Mariš 2016-03-03 07:37:14 EST
Created python-django15 tracking bugs for this issue:

Affects: epel-6 [bug 1314344]
Comment 10 Adam Mariš 2016-03-03 07:37:23 EST
Created python-django tracking bugs for this issue:

Affects: fedora-all [bug 1314342]
Affects: epel-7 [bug 1314345]
Comment 13 Summer Long 2016-03-08 00:42:28 EST
Acknowledgments:

Name: the Django project
Comment 14 Fedora Update System 2016-03-17 16:52:57 EDT
python-django-1.8.11-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-03-17 17:20:49 EDT
python-django-1.8.11-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 errata-xmlrpc 2016-03-23 21:10:42 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 5.0 (Icehouse) for RHEL 7

Via RHSA-2016:0506 https://rhn.redhat.com/errata/RHSA-2016-0506.html
Comment 17 errata-xmlrpc 2016-03-23 21:11:28 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7

Via RHSA-2016:0505 https://rhn.redhat.com/errata/RHSA-2016-0505.html
Comment 18 errata-xmlrpc 2016-03-23 21:12:17 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7

Via RHSA-2016:0504 https://rhn.redhat.com/errata/RHSA-2016-0504.html
Comment 19 errata-xmlrpc 2016-03-23 21:13:04 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 7.0 Operational Tools for RHEL 7

Via RHSA-2016:0503 https://rhn.redhat.com/errata/RHSA-2016-0503.html
Comment 20 errata-xmlrpc 2016-03-23 21:13:48 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 5.0 (Icehouse) for RHEL 6

Via RHSA-2016:0502 https://rhn.redhat.com/errata/RHSA-2016-0502.html
Comment 21 Fedora Update System 2016-03-29 13:57:29 EDT
python-django-1.6.11-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.